package cn.hnthyy.thmz.service.his.zy;


import cn.hnthyy.thmz.entity.MzException;
import cn.hnthyy.thmz.entity.his.zy.APatientMi;

import java.util.List;

/**
 * 住院病人信息
 */
public interface APatientMiService {
    /**
     * 根据门诊号码查询对应的住院id
     * @param mzNo
     * @return
     */
    List<String> queryInPatientNoByMzNo(String mzNo);

    /**
     * 根据住院号查询病人信息
     * @param inpatientNo
     * @return
     */
    APatientMi queryPatientMiByInPatientNo(String inpatientNo);


    /**
     * 根据门诊号码查询对应的住院病人信息
     * @param mzNo
     * @return
     */
    APatientMi queryAPatientByMzNo(String mzNo);


    /**
     * 保存住院病人信息
     * @param aPatientMi
     * @return
     */
    int saveMzPatientMi(APatientMi aPatientMi) throws MzException;





    /**
     * 更新病人信息
     * @param aPatientMi
     * @return
     */
    int modifyMzPatientMi(APatientMi aPatientMi);
}
